Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Interface EventHandlerWrapper<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Show UML class diagram

Type Parameters:
  `E` -
  `P` -

All Superinterfaces:
  EventHandlerBase<E,P,C>

All Known Implementing Classes:
  EventHandlerWrapperFilter, PredicateChainingMatcher.JoinInputEventHandler

    public interface EventHandlerWrapper<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

extends EventHandlerBase<E,P,C>

Wrapper interface.

Nested Class Summary

Nested classes/interfaces inherited from interface com.hammurapi.eventbus.EventHandlerBase
`EventHandlerBase.Mode`

Method Summary
`EventHandler<E,P,C,H,S>` | `getHandler()`
`` | `getPredicate()` Predicate which was used during registration.
`Set<K>` | `getRegistrationKeys()`
`void` | `post(EventDispatchContext<E,P,C,H,S> context, InferenceContext<E,P,C,K,H,S> inferenceContext, AbstractEventBus.Handle<E,P,C,K>... events)` Posts event for handling.
`void` | `takeSnapshot(AbstractEventBus.Snapshot<E,P,C,K,H,S> snapshot, Set<K> taken)`

Methods inherited from interface com.hammurapi.eventbus.EventHandlerBase
`consumes, getCardinality, getContext, getMode, getPriority, isOneOff, reset`

Method Detail

### post

    void post(EventDispatchContext<E,P,C,H,S> context,
              InferenceContext<E,P,C,K,H,S> inferenceContext,
              AbstractEventBus.Handle<E,P,C,K>... events)

  Posts event for handling.

  Parameters:
    `context` - Event dispatching context.
    `events` - Events to handle. An event to handle if there is one event. A tuple of joined events to handle otherwise.

### getRegistrationKeys

    Set<K> getRegistrationKeys()

  Returns:
    set of registration keys. Shared join event handler can have more than one registration key. When the set becomes empty the handler shall be removed from the inference network. Join event handlers shall cascade remove(K) to target handlers.

### getHandler

    EventHandler<E,P,C,H,S> getHandler()

### takeSnapshot

    void takeSnapshot(AbstractEventBus.Snapshot<E,P,C,K,H,S> snapshot,
                      Set<K> taken)

### getPredicate

     getPredicate()

  Predicate which was used during registration.

  Specified by:
    `getPredicate` in interface `EventHandlerBase<E,P extends Comparable<P>,C>`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD